public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/django-debug-toolbar/
Date: Fri, 11 Aug 2023 05:48:01 +0000 (UTC)	[thread overview]
Message-ID: <1691732044.f10de0e14ba3e3da3638e3e03606d0f2b416535c.mgorny@gentoo> (raw)

commit:     f10de0e14ba3e3da3638e3e03606d0f2b416535c
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 11 05:19:33 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Aug 11 05:34:04 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f10de0e1

dev-python/django-debug-toolbar: Bump to 4.2.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/django-debug-toolbar/Manifest           |  1 +
 .../django-debug-toolbar-4.2.0.ebuild              | 36 ++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/dev-python/django-debug-toolbar/Manifest b/dev-python/django-debug-toolbar/Manifest
index 4901f95ab1eb..642306af4c36 100644
--- a/dev-python/django-debug-toolbar/Manifest
+++ b/dev-python/django-debug-toolbar/Manifest
@@ -1 +1,2 @@
 DIST django-debug-toolbar-4.1.gh.tar.gz 267550 BLAKE2B 80ebec1ee6f09d44089e119107a3696b8db82263976b4d191aaeea89658b0fbfb7ca1e2975aa73ad5c9240ac3010816710b5f7386165b1d7bdf335f8ef82b896 SHA512 8e9cc1ffcd8be7e345fff78e60cde8c4b44ef751dbf6a6bc061d452ccb60c68eda9f7e7a17efc32be3a62601921dff87f52ba2fe0e47a17fb820bf025cac0035
+DIST django_debug_toolbar-4.2.0.tar.gz 259709 BLAKE2B 81172bca569f6080710db2180650b0620670a4b4d2919d8b1694bf9f15425d9378f6cd0cbb852544fca0809388bb13867500a38c9046e1feaa241cde973936d9 SHA512 ff36d92132fd9338e88a2f078747c1e54e7633aecc6babea28ccb0c080b0beb99feccf1d1c00960ba109e3e6e4805562c36c6571842ea3baeda860c71ffcbd50

diff --git a/dev-python/django-debug-toolbar/django-debug-toolbar-4.2.0.ebuild b/dev-python/django-debug-toolbar/django-debug-toolbar-4.2.0.ebuild
new file mode 100644
index 000000000000..570f8b5e767c
--- /dev/null
+++ b/dev-python/django-debug-toolbar/django-debug-toolbar-4.2.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A configurable set of panels that display various debug information"
+HOMEPAGE="
+	https://github.com/jazzband/django-debug-toolbar/
+	https://pypi.org/project/django-debug-toolbar/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	dev-python/django[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+	test? (
+		dev-python/html5lib[${PYTHON_USEDEP}]
+	)
+"
+
+python_test() {
+	"${EPYTHON}" -m django test -v 2 --settings tests.settings \
+		|| die "Tests failed with ${EPYTHON}"
+}


             reply	other threads:[~2023-08-11  5:48 UTC|newest]

Thread overview: 47+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-08-11  5:48 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-14  6:59 [gentoo-commits] repo/gentoo:master commit in: dev-python/django-debug-toolbar/ Michał Górny
2024-12-20 21:20 Alfredo Tupone
2024-12-20 21:15 Alfredo Tupone
2024-12-20 21:13 Alfredo Tupone
2024-07-11  3:25 Michał Górny
2024-07-11  3:25 Michał Górny
2024-07-05 16:29 Arthur Zamarin
2024-07-05  1:41 Michał Górny
2024-07-05  1:41 Michał Górny
2024-07-05  1:41 Michał Górny
2024-05-27 15:11 Michał Górny
2024-05-27  4:17 Michał Górny
2024-02-02  4:12 Michał Górny
2023-12-30 18:28 Michał Górny
2023-07-24 11:31 Michał Górny
2023-05-17  3:40 Michał Górny
2023-05-05 12:40 Alfredo Tupone
2023-05-05  5:21 Michał Górny
2023-05-04 20:23 Alfredo Tupone
2023-04-09  9:29 Alfredo Tupone
2022-05-16 13:17 Michał Górny
2022-05-04  8:19 Michał Górny
2022-04-30 15:59 Michał Górny
2022-02-26 17:59 Michał Górny
2022-02-26 17:59 Michał Górny
2021-12-16  8:46 Michał Górny
2021-12-13  8:09 Michał Górny
2021-10-17  7:41 Michał Górny
2021-07-24  6:22 John Helmert III
2021-04-15  6:32 Michał Górny
2020-12-11 12:48 Michał Górny
2020-09-27 15:19 Hanno Böck
2020-05-19 12:06 Michał Górny
2020-03-19 21:56 David Seifert
2020-03-11 21:56 William Hubbs
2020-02-11 20:10 William Hubbs
2020-01-26 20:11 William Hubbs
2020-01-25 20:54 Michał Górny
2019-07-11 22:29 William Hubbs
2019-03-27 21:07 William Hubbs
2019-03-12 21:52 William Hubbs
2018-01-03  9:11 Michał Górny
2017-09-25 13:44 Michael Palimaka
2017-07-31 10:30 Tobias Klausmann
2016-08-25  4:39 Johann Schmitz
2015-10-19 16:29 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1691732044.f10de0e14ba3e3da3638e3e03606d0f2b416535c.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox